libpython3-dev_3.6.7-1~18.10_i386.deb


Advertisement

Description

libpython3-dev - header files and a static library for Python (default)

Property Value
Distribution Ubuntu 18.10 (Cosmic Cuttlefish)
Repository Ubuntu Updates Main i386
Package name libpython3-dev
Package version 3.6.7
Package release 1~18.10
Package architecture i386
Package type deb
Installed size 48 B
Download size 7.12 KB
Official Mirror archive.ubuntu.com
Header files, a static library and development tools for building
Python modules, extending the Python interpreter or embedding Python
in applications.
This package is a dependency package, which depends on Debian's default
Python 3 version (currently v3.6).

Alternatives

Package Version Architecture Repository
libpython3-dev_3.6.7-1~18.10_amd64.deb 3.6.7 amd64 Ubuntu Updates Main
libpython3-dev_3.6.6-1_i386.deb 3.6.6 i386 Ubuntu Main
libpython3-dev_3.6.6-1_amd64.deb 3.6.6 amd64 Ubuntu Main
libpython3-dev - - -

Requires

Name Value
libpython3.6-dev >= 3.6.7-1~

Download

Type URL
Binary Package libpython3-dev_3.6.7-1~18.10_i386.deb
Source Package python3-defaults

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpython3-dev deb package:
    # sudo apt-get install libpython3-dev

Changelog

2018-10-25 - Matthias Klose <doko@ubuntu.com>
python3-defaults (3.6.7-1~18.10) cosmic-proposed; urgency=medium
* SRU: LP: #1799206.
2018-10-21 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.7-1) unstable; urgency=high
* Really ship the policy in the python3 package, and update from the last
version found in the python package. Closes: #910113.
* Bump version to 3.6.7.
2018-06-27 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.6-1) unstable; urgency=medium
[ Matthias Klose ]
* Fix the idle desktop file. Closes: #901096.
* Install the policy files in the python3 package. Closes: #901486.
* python3-minimal: Pre-Depend on python3.6-minimal. Closes: #901001.
* Bump version to 3.6.6.
[ Scott Kitterman ]
* Remove myself from uploaders
2018-06-07 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.5-5) experimental; urgency=medium
* Fix typo in the defaults file. Closes: #900937, #900949.
2018-06-06 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.5-4) experimental; urgency=medium
* Update Vcs attributes.
* Add Python 3.7 to the list of supported Python3 versions.
2018-04-10 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.5-3) unstable; urgency=medium
* Update valgrind support file. LP: #1513364.
* debian/control.in (Michael Vogt):
- add Cnf-Visible-Pkgname hint to ensure command-not-found recommends
installing "python3" instead of "python3-minimal" when it is missing.
2018-04-02 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.5-2) unstable; urgency=medium
* Distinguish between python3.6 and python3-stdlib-extensions versions.
Closes: #894168.
* python3-venv: Depend on python3-distutils.
2018-03-31 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.5-1) unstable; urgency=medium
[ Matthias Klose ]
* Bump version to 3.6.5.
[ Michael Vogt ]
* debian/control.in: LP: #1752415
- add "XB-Cnf-Extra-Commands: python" to ensure command-not-found
outputs the python3 package when searching for "python"
- add XB-Cnf-Priority-Bonus to ensure python3 is listed on the
top when typing "python"
2018-03-25 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.5~rc1-1) unstable; urgency=medium
* Bump version to 3.6.5~rc1.
* Remove dh-python dependency from python3.
* Add dh-python and python3-distutils dependencies to python3-all and
python3-dev.
2017-12-29 - Matthias Klose <doko@debian.org>
python3-defaults (3.6.4-1) unstable; urgency=medium
* Bump version to 3.6.4.
* 2to3: Depend on python3-lib2to3 and provide the 2to3 launcher.

See Also

Package Description
libpython3-stdlib_3.6.7-1~18.10_i386.deb interactive high-level object-oriented language (default python3 version)
libpython3.6-dev_3.6.7-1~18.10_i386.deb Header files and a static library for Python (v3.6)
libpython3.6-minimal_3.6.7-1~18.10_i386.deb Minimal subset of the Python language (version 3.6)
libpython3.6-stdlib_3.6.7-1~18.10_i386.deb Interactive high-level object-oriented language (standard library, version 3.6)
libpython3.6-testsuite_3.6.7-1~18.10_all.deb Testsuite for the Python standard library (v3.6)
libpython3.6_3.6.7-1~18.10_i386.deb Shared Python runtime library (version 3.6)
libpython3.7-dev_3.7.1-1~18.10_i386.deb Header files and a static library for Python (v3.7)
libpython3.7-minimal_3.7.1-1~18.10_i386.deb Minimal subset of the Python language (version 3.7)
libpython3.7-stdlib_3.7.1-1~18.10_i386.deb Interactive high-level object-oriented language (standard library, version 3.7)
libpython3.7_3.7.1-1~18.10_i386.deb Shared Python runtime library (version 3.7)
libreoffice-avmedia-backend-gstreamer_6.1.2-0ubuntu1.1_i386.deb GStreamer backend for LibreOffice
libreoffice-base-core_6.1.2-0ubuntu1.1_i386.deb office productivity suite -- shared library
libreoffice-calc_6.1.2-0ubuntu1.1_i386.deb office productivity suite -- spreadsheet
libreoffice-common_6.1.2-0ubuntu1.1_all.deb office productivity suite -- arch-independent files
libreoffice-core_6.1.2-0ubuntu1.1_i386.deb office productivity suite -- arch-dependent files
Advertisement
Advertisement